#include <Servo.h>

Servo servoX;  // Servo for horizontal movement
Servo servoY;  // Servo for vertical movement
int posX = 90; // Initial horizontal position
int posY = 180; // Initial vertical position

int ledPin = 2;  // LED connected to pin 2
int ledPinY = 3;

void setup() {
  // Attach the servos to their respective pins
  servoX.attach(8);
  servoY.attach(9);
  servoX.write(posX); // Set initial horizontal position
  servoY.write(posY); // Set initial vertical position

  // Initialize the LED pin as output
  pinMode(ledPin, OUTPUT);
  pinMode(ledPinY, OUTPUT);

  // Initialize the serial communication
  Serial.begin(9600);
}

void loop() {
  if (Serial.available() > 0) {
    char command = Serial.read();

    // Handle servo commands
    if (command == 'L') {
      posX += 1.5; // Move left
      if (posX < 0) posX = 0; // Limit to 0 degrees
      servoX.write(posX);
    } else if (command == 'R') {
      posX -= 1.5; // Move right
      if (posX > 180) posX = 180; // Limit to 180 degrees
      servoX.write(posX);
    } else if (command == 'U') {
      posY -= 1.5; // Move up
      if (posY < 0) posY = 0; // Limit to 0 degrees
      servoY.write(posY);
    } else if (command == 'D') {
      posY += 1.5; // Move down
      if (posY > 180) posY = 180; // Limit to 180 degrees
      servoY.write(posY);
    }

    // Handle LED command
    if (command == 'F') {
      digitalWrite(ledPin, HIGH);  // Turn on LED when face is detected
      digitalWrite(ledPinY, LOW);
    } else if (command == 'N') {
      digitalWrite(ledPin, LOW);   // Turn off LED when no face is detected
      digitalWrite(ledPinY, HIGH);
    }
  }
}
